import React from 'react'
import { Link } from 'react-router'

import './css/style.css'

class Main extends React.Component {
  render () {
    const children = React.Children.map(this.props.children, child =>
      React.cloneElement(child, this.props)
    )
    console.log('Found these child elements:', children)
    return (
      <div className='app-wrapper'>
        <div className='app-header'>
          <h2>AutoMate</h2>
          <nav className='app-nav'>
            <ul>
              <li><Link to='/project'>Projects</Link></li>
              <li><Link to='/registermap'>Registermaps</Link></li>
            </ul>
          </nav>
        </div>
        {children}
        <div className='app-footer'>
          <h2>AutoMate footer</h2>
        </div>
      </div>
    )
  }
}

export default Main
